
/*
  file serv_simple.c
  created sam. avril 25 13:53:04 CEST 2020

This is the most basic instanciation
of the HTTaP server in blocking mode.
It only serves files in the files/ subdirectory
(unless overriden by environment variables)

Compile:
 gcc -DSHOW_CLIENT -DHTTAP_VERBOSE -Wall serv_simple.c -o serv_simple

run:  (if you have your index.html in the files/ subdirectory)
 export HTTAP_TCPPORT=60000
 export HTTAP_STATICPATH=files
 ./serv_simple

*/

// override defaults so you don't need to mess with HTTaP.h :
#define HTTAP_SERVE_FILES
#define HTTAP_SERVER_ID   "Basic blocking server"
#define HTTAP_KEEPALIVE   (10)

// Use the provided parachute
#define HTTAP_USE_SIGNAL

#include "HTTaP.h"

int main(int argc, char *argv[]) {
  int count=0;

  init_HTTaP(H_BLOCKED);

  do {
    HTTaP_manager();

    // show that something is happening:
    printf("%d \n", count++);
  } while (!abort_program);

  printf("bye from main() !");
  return EXIT_SUCCESS;
}
